/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

// <editor-fold defaultstate="collapsed" desc="Change Log">
/*
 * Date         By          Ticket          Version         Description
 * Nov 6, 2012	aer                         0.0.0.0         class created
 */
// </editor-fold>

package hazelcache.test;

import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import javax.faces.bean.ManagedBean;
import javax.faces.context.FacesContext;
import javax.servlet.ServletContext;

/**
 *
 * @author aerohner
 */
@ManagedBean(name="cacheTest")
public class CacheTestBean 
{
    private String id;
    private String name;
    private Map stuffz;
    
    public CacheTestBean()
    {
    }
    
    public List getStuffzList()
    {
        if(stuffz == null)
            return new LinkedList();
        else
            return new LinkedList(stuffz.entrySet());
    }

    /**
     * @return the id
     */
    public String getId()
    {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id)
    {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName()
    {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name)
    {
        this.name = name;
    }
    
    public String addToCache()
    {
        String forwardTo = null;
        
        ServletContext context = (ServletContext) FacesContext.getCurrentInstance().getExternalContext().getContext();
        
        stuffz = (Map)context.getAttribute("stuffz");
        
        if(stuffz == null)
        {
            System.out.println("addToCache() - Stuffz was null");
            stuffz = new LinkedHashMap();
            context.setAttribute("stuffz", stuffz);
        }
        else
        {
            System.out.println("addToCache() - using existing stuffz value");
        }
        
        stuffz.put(id, name);
        
        System.out.println("addToCache() - size of stuffz: " + stuffz.size());
        
        return forwardTo;
        
    }// end addToCache()

    /**
     * @return the stuffz
     */
    public Map getStuffz()
    {
        return stuffz;
    }

    /**
     * @param stuffz the stuffz to set
     */
    public void setStuffz(Map stuffz)
    {
        this.stuffz = stuffz;
    }
}// end class CacheTestBean
