/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hazelcache.test;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;
import org.infinispan.manager.DefaultCacheManager;
import org.infinispan.manager.EmbeddedCacheManager;

/**
 * Web application lifecycle listener.
 *
 * @author aerohner
 */
@WebListener()
public class Listener implements ServletContextListener
{
    EmbeddedCacheManager manager;

    @Override
    public void contextInitialized(ServletContextEvent sce)
    {
        try
        {
            manager = new DefaultCacheManager("config.xml");
//            manager.start();
            sce.getServletContext().setAttribute("cacheManager", manager);
        }
        catch (IOException ex)
        {
            Logger.getLogger(Listener.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    @Override
    public void contextDestroyed(ServletContextEvent sce)
    {
        manager.stop();
    }
}
